using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class member_pay_onlineConsumeDetail : System.Web.UI.Page
{
    user u = new user();
    sqlServer sql = new sqlServer();

    protected void Page_Load(object sender, EventArgs e)
    {
        u.check("", url.currently);

        Page.Title = "财务明细　" + xml.read("xabara.config", "webName", 180);

        if (!IsPostBack)
        {
            string strSql = "select * from moneyDetail where uID='" + u.userCardID + "' order by dID DESC";
            lblCurrentPage.Text = sql.RepeaterDB(RepeaterList, strSql, string.Empty, 20, "page", "center", true);
            RepeaterList.Dispose();
        }
    }

    public string getM(string str)
    {
        string returnStr = string.Empty;
        if (Convert.ToDouble(str) > 0)
        {
            returnStr = rmb.format(str);
        }
        return returnStr;
    }
}